/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: ConcatObj.c /main/7 1995/07/14 11:32:33 drk $"
#endif
#endif
/***********************************************************************
  	@(#)Concat.c	1.3.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/24/90 SJS add to sccs
	Calls:

	Summary:
        CONCATENATE OBJECT TYPES

            Returns a new object type that consists of the last two object types 
        concatenated together.

        INPUTS
            cum_object_type - pointer to an object record
            new_object_type - object code of child

        OUTPUTS
            none

        RETURNS
            A concatenated object type code.
************************************************************************/
#include "xislib.h"

long xisConcat(cum_object_type,new_object_type)
long cum_object_type;
long new_object_type;
{
    return (cum_object_type * xisNumObjectTypes + new_object_type);

} /* End xisConcat() */
