/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: GetKeyName.c /main/7 1995/07/14 11:34:30 drk $"
#endif
#endif
/***********************************************************************
  	@(#)GetKeyName.c	1.5.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/24/90 SJS add to sccs
	Calls:

	Summary:
            Returns a pointer to a statically declared string naming the
        specified key.

        INPUTS:
            key - key code (i.e., KeyReturn, KeySpace, KeyUp, KeyTab, etc.)
        
        OUTPUTS:
            none

        RETURNS:
            key name string pointer
************************************************************************/
#include "xislib.h"

char *xisGetKeyName(key)
int key;
{
    static char *name;
    static char unknown_string[] = "KeyUnknown";
    static char other_string[] = "Name needs to be added to key struct";

    if (key >= 0 && key < _MaxKey)
        name = other_string;
    else
        name = unknown_string;

    return name;

} /* End xisGetKeyName */
