/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: IsBtnDown.c /main/7 1995/07/14 11:39:20 drk $"
#endif
#endif
/******************************************************************************
	@(#)IsBtnDown.c	1.4.1.1		Date: 1/22/91

	History:
            06/07/90 PSN first draft

	Calls:

	Summary:
            Returns True if mouse button is in pressed state. It does not 
	have to be the most recent event.

        INPUTS:
	    modifier_keys - modifier key mask
            button_num - the mouse button in question (Button1, Button2, etc.)
        
        OUTPUTS:
            none

        RETURNS:
            True = specified mouse button is down or not
            False = otherwise
************************************************************************/

#include "xislib.h"

int xisIsMouseButtonDown ( modifier_keys , button_num )
unsigned int modifier_keys;
int button_num;
{
    return ((xisMouseButtonMask[button_num] | modifier_keys) ==
						xisState.mod_button_state);
} /* End xisIsMouseButtonDown() */

