/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: Form3.c /main/8 1995/07/13 17:41:53 drk $"
#endif
#endif
/*
*  (c) Copyright 1987, 1988, 1989 HEWLETT-PACKARD COMPANY */
/*
 *  Create a push button in a form.  SetValues on a bunch of different
 *  things.  Used to hit branches in SetValues.
 */


#include <signal.h>
#include <X11/StringDefs.h>

#include <testlib.h>

/*  Forward declarations  */

extern void PushBCallback();
extern char * UserData;

/*  main  */

void main (argc, argv)
unsigned int argc;
char **argv;
{
   Widget form;
   Widget pushb;
   Arg args[10];
   int n;

   /*  initialize toolkit  */
   CommonTestInit(argc, argv);
    
   /*  The form creation.  Contained in an outer frame.  */

   n = 0;
   form = XmCreateForm (Shell1, "form", args, n);
   XtManageChild (form);

   /*  Arguments to the first frame.  */

   n = 0;
   XtSetArg (args[n], XmNleftAttachment, XmATTACH_FORM);	n++;
   XtSetArg (args[n], XmNtopAttachment, XmATTACH_FORM);		n++;
   XtSetArg (args[n], XmNbottomAttachment, XmATTACH_FORM);	n++;
   XtSetArg (args[n], XmNrightAttachment, XmATTACH_FORM);	n++;
   XtSetArg (args[n], XmNwidth, 100);				n++;
   XtSetArg (args[n], XmNheight, 100);				n++;
   pushb = XmCreatePushButton (form, "pushb", args, n);
   XtManageChild (pushb);

   XtAddCallback (pushb, XmNactivateCallback, PushBCallback, form);

   XtRealizeWidget (Shell1);

   CommonPause();
   CommonPause();
   CommonPause();

   XtAppMainLoop(app_context);
}

void PushBCallback (pw, form, closure)
Widget pw;
Widget form;
caddr_t closure;
{
   static count = 0;
   Arg args[10];
   int n;
   static Widget pb2;

   if (count == 0)
   {
      printf ("Setting the fraction base to 0.\n");
      n = 0;
      XtSetArg (args[n], XmNfractionBase, n);		n++;
      XtSetValues (form, args, n);
   }      
   else if (count == 1)
   {
      printf ("Changing the size of the form to (200, 300).\n");
      n = 0;
      XtSetArg (args[n], XmNwidth, 200);		n++;
      XtSetArg (args[n], XmNheight, 300);		n++;
      XtSetValues (form, args, n);
   }
   else if (count == 2)
   {
      printf ("Changing the size of the form to (0, 0).\n");
      n = 0;
      XtSetArg (args[n], XmNwidth, 0);			n++;
      XtSetArg (args[n], XmNheight, 0);			n++;
      XtSetValues (form, args, n);
   }

   count++;
}





















