/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: IsActvButton.c /main/7 1995/07/14 11:39:12 drk $"
#endif
#endif
/***********************************************************************
  	@(#)IsActvButton.c	1.7.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/30/90 SJS add to sccs
            06/11/90 PSN fixed checking of mofier keys

	Calls:

	Summary:
            Returns True if mouse button is the active button.

        INPUTS:
            button_num - the mouse button in question (Button1, Button2, etc.)
        
        OUTPUTS:
            none

        RETURNS:
            True = specified mouse button is the active button
            False = otherwise
************************************************************************/

#include <AutoMessages.h>
#include "xislib.h"

int xisIsActiveMouseButton(modifier_keys,button_num)
unsigned int modifier_keys;
int button_num;
{
    if (!xisInform.is_valid)
        AutoMessage(_AutoMessages[WARNMSG51]);

    return ( (xisInform.button_num == button_num) && 
	     (xisInform.modifier_key_status == modifier_keys) );

} /* End xisIsActiveMouseButton() */
