/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: postTextF.c /main/7 1995/07/14 12:04:00 drk $"
#endif
#endif
/*
 *	file: postTextF.c
 *
 *	Program to post a TextField widget under a bulletinboard dialog.
 */
#include	<testlib.h>

Widget dialog;
Widget TextF;

static void postit()
{
	XtManageChild(TextF);
	XtManageChild(dialog);
}

main(argc, argv) 
int argc;
char *argv[];
{
	Widget pb;
	Arg args[20];
	int n;

    CommonTestInit(argc, argv);
    
	
	n = 0;
	pb = XmCreatePushButton(Shell1, "pb", args, n);
	XtManageChild(pb);
	XtAddCallback(pb, XmNactivateCallback, postit, NULL);

	n = 0;
	XtSetArg(args[n], XmNwidth, 100); n++;
	XtSetArg(args[n], XmNheight, 100); n++;
	dialog = XmCreateBulletinBoardDialog(Shell1, "dialog", args, n);

	n = 0;
	TextF = XmCreateTextField(dialog, "TextF", args, n);

	XtRealizeWidget(Shell1);

	XtAppMainLoop(app_context);
}

