/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: ArrowBtn1.c /main/7 1995/07/13 17:28:12 drk $"
#endif
#endif
/*
*  (c) Copyright 1987, 1988, 1989 HEWLETT-PACKARD COMPANY */

/****************************************
*   Automatic test program generation   *
*              Version 1.2              *
*       Tue Apr  4 12:26:53 1989        *
****************************************/

#include <testlib.h>

Widget ArrowButton1;

static void do_activate(w, client, call)
Widget w;
XtPointer client, call;
{
  XmAnyCallbackStruct *cb;

  cb = (XmAnyCallbackStruct *) call;
  if (cb->event == NULL)
    printf ("ACTIVATED. Error! Event is NULL!\n");
  else
    printf ("ACTIVATED.\n");
}

static void do_arm(w, client, call)
Widget w;
XtPointer client, call;
{
  printf("armed\n");
}

static void do_disarm(w, client, call)
Widget w;
XtPointer client, call;
{
  printf("disarmed\n");
}

static XtCallbackRec activate_selected[] = { do_activate, NULL, NULL, NULL };
static XtCallbackRec arm_selected[]      = { do_arm,      NULL, NULL, NULL };
static XtCallbackRec disarm_selected[]   = { do_disarm,   NULL, NULL, NULL };

void  main (argc, argv)
int argc;
char **argv;
{
  Boolean            trace = False;
  register int       n;
  Arg                args[MAX_ARGS];
  XmString           tcs;

  CommonTestInit(argc, argv);
    
  n = 0;
  XtSetArg(args[n], XmNwidth,  400);  n++;
  XtSetArg(args[n], XmNheight, 300);  n++;
  XtSetValues(Shell1, args, n);

  XtRealizeWidget(Shell1);

  n = 0;
  ArrowButton1 = XmCreateArrowButton(Shell1, "ArrowButton1", args, n);
  XtManageChild(ArrowButton1);
  CommonPause();

  n = 0;
  XtSetArg(args[n], XmNarrowDirection, XmARROW_DOWN);  n++;
  XtSetValues(ArrowButton1, args, n);
  CommonPause();

  n = 0;
  XtSetArg(args[n], XmNarrowDirection, XmARROW_LEFT);  n++;
  XtSetValues(ArrowButton1, args, n);
  CommonPause();

  n = 0;
  XtSetArg(args[n], XmNarrowDirection, XmARROW_RIGHT);  n++;
  XtSetValues(ArrowButton1, args, n);
  CommonPause();

  n = 0;
  XtSetArg(args[n], XmNarrowDirection, 0);  n++;
  XtSetValues(ArrowButton1, args, n);
  CommonPause();

  printf("trying illegal arrow direction\n");
  n = 0;
  XtSetArg(args[n], XmNarrowDirection, 100);  n++;
  XtSetValues(ArrowButton1, args, n);
  CommonPause();

  n = 0;
  XtSetArg(args[n], XmNarrowDirection, XmARROW_DOWN);  n++;
  XtSetValues(ArrowButton1, args, n);
  CommonPause();

  printf("trying illegal arrow direction\n");
  n = 0;
  XtSetArg(args[n], XmNarrowDirection, 5);  n++;
  XtSetValues(ArrowButton1, args, n);
  CommonPause();

  printf("trying to set up activate callback\n");
  n = 0;
  XtSetArg(args[n], XmNactivateCallback, activate_selected); n++;
  XtSetValues(ArrowButton1, args, n);
  CommonPause();

  printf("trying to set up arm callback\n");
  n = 0;
  XtSetArg(args[n], XmNarmCallback, arm_selected); n++;
  XtSetValues(ArrowButton1, args, n);
  CommonPause();

  printf("trying to set up disarm callback\n");
  n = 0;
  XtSetArg(args[n], XmNdisarmCallback, disarm_selected); n++;
  XtSetValues(ArrowButton1, args, n);
  CommonPause();

  CommonPause();	/* quit */
  XtAppMainLoop(app_context);
  XtDestroyWidget(ArrowButton1);
}






































