/* $XConsortium: XmeFocusChangeCallback.c /main/4 1995/07/15 21:04:31 drk $ */
/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */ 
/*
 * HISTORY
 */

#ifdef REV_INFO
#ifndef lint
static char rcsid[] = ""
#endif
#endif

#include <testlib.h>
#include <Xm/PushB.h>
#include <Xm/XmosP.h>
#include <Xm/XmP.h>

void
FocusCB(w, client_data, cbs)
Widget w;
XtPointer client_data, cbs;
{
  printf("New Focus Change Callback has been called\n");
}

void  main (argc, argv)
int argc;
char **argv;
{
  Boolean            trace = False;
  register int       n;
  Arg                args[MAX_ARGS];
  XmString           xmstr;
  Widget             vshell, button;

  CommonTestInit(argc, argv);

  n = 0;
  XtSetArg(args[n], XmNwidth,  200);  n++;
  XtSetArg(args[n], XmNheight, 200);  n++;
  XtSetArg(args[n], XmNmappedWhenManaged,False); n++;
  XtSetValues(Shell1, args, n);

  XtRealizeWidget(Shell1);

  n =0;
  vshell = XtVaCreateWidget("button", vendorShellWidgetClass, Shell1, NULL);
  XtManageChild(vshell);

  xmstr = XmStringCreateSimple ("Validate");
  button = XtVaCreateWidget("button", xmPushButtonWidgetClass, vshell, NULL);
  XtSetArg(args[n], XmNlabelString, xmstr);
  XtSetValues(button, args, 1);
  XmStringFree(xmstr);
  XtManageChild(button);
  CommonPause();

  /* add a new focus change callback */
  XmeAddFocusChangeCallback(vshell, FocusCB, NULL);
  CommonPause();

  /* remove the new focus change callback */
  XmeRemoveFocusChangeCallback(vshell, FocusCB, NULL);
  CommonPause();

  CommonPause();	/* quit */
  XtAppMainLoop(app_context);
  XtDestroyWidget(Shell1);
}
