/* $XConsortium: XmeGetTextualDragIcon.c /main/4 1995/07/15 21:04:49 drk $ */
/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */ 
/*
 * HISTORY
 */

#ifdef REV_INFO
#ifndef lint
static char rcsid[] = ""
#endif
#endif

#include <testlib.h>
#include <Xm/RowColumn.h>
#include <Xm/Label.h>
#include <Xm/Text.h>
#include <Xm/DragIconP.h>

void  main (argc, argv)
int argc;
char **argv;
{
  register int       n;
  Arg                args[MAX_ARGS];
  Widget             label, drag_icon;
  Pixmap             drag_pixmap;

  CommonTestInit(argc, argv);

  n = 0;
  XtSetArg(args[n], XmNwidth,  100);  n++;
  XtSetArg(args[n], XmNheight, 100);  n++;
  XtSetValues(Shell1, args, n);

  XtRealizeWidget(Shell1);

  /* create label widget for the test */
  n =0;
  XtSetArg(args[n], XmNrecomputeSize, False);  n++;
  label = XmCreateLabel(Shell1, "label", args, n);

  drag_icon = XmeGetTextualDragIcon(label);
  if (drag_icon == NULL)
    printf("ERROR: XmeGetTextualDragIcon has failed\n");

  n = 0;
  XtSetArg(args[n], XmNpixmap, &drag_pixmap); n++;
  XtGetValues(drag_icon, args, n);

  XtManageChild(label);

  /* Place the "source icon" pixmap on the label */
  n = 0;
  XtSetArg(args[n], XmNlabelType, XmPIXMAP); n++;
  XtSetArg(args[n], XmNlabelPixmap, drag_pixmap); n++;
  XtSetValues(label, args, n);
  CommonPause();

  CommonPause();	/* quit */
  XtAppMainLoop(app_context);
  XtDestroyWidget(Shell1);
}
