/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: BBoard3.c /main/7 1995/07/13 18:25:45 drk $"
#endif
#endif
/*
*  (c) Copyright 1987, 1988, 1989 HEWLETT-PACKARD COMPANY */

#include <testlib.h>

Widget	BulletinBoard1,
	PushButtonGadget1,
	PushButtonGadget2,
	PushButtonGadget3;

void  main(argc, argv)
    int     argc;
    char  **argv;
{
    Boolean       trace = False;
    register int  n;
    Arg           args[MAX_ARGS];
    XmString      tcs;

    CommonTestInit(argc, argv);
    
    n = 0;
    XtSetArg(args[n], XmNwidth,  400);  n++;
    XtSetArg(args[n], XmNheight, 300);  n++;
    XtSetArg(args[n], XtNgeometry, "+0+0");  n++;
    XtSetValues(Shell1, args, n);

    XtRealizeWidget(Shell1);

    n = 0;
    BulletinBoard1 = XmCreateBulletinBoard(Shell1, "BulletinBoard1", args, n);
    XtManageChild(BulletinBoard1);

    n = 0;
    XtSetArg(args[n], XmNborderWidth, 3);  n++;
    XtSetValues(BulletinBoard1, args, n);

    n = 0;
    XtSetArg(args[n], XmNbackground, CommonGetColor("red"));  n++;
    XtSetValues(BulletinBoard1, args, n);

    CommonPause();

    n = 0;
    PushButtonGadget1 = XmCreatePushButtonGadget(BulletinBoard1,
                                                 "PushButtonGadget1", args, n);
    XtManageChild(PushButtonGadget1);

    CommonPause();

    n = 0;
    XtSetArg(args[n], XmNalignment, XmALIGNMENT_BEGINNING);  n++;
    XtSetArg(args[n], XmNmarginWidth, 10);  n++;
    XtSetArg(args[n], XmNmarginHeight, 5);  n++;
    PushButtonGadget2 = XmCreatePushButtonGadget(BulletinBoard1,
                                                 "PushButtonGadget2", args, n);
    XtManageChild(PushButtonGadget2);

    CommonPause();

    n = 0;
    XtSetArg(args[n], XmNx, 50);  n++;
    XtSetValues(PushButtonGadget1, args, n);

    CommonPause();

    n = 0;
    XtSetArg(args[n], XmNy, 50);  n++;
    XtSetValues(PushButtonGadget1, args, n);

    CommonPause();

    XtDestroyWidget(PushButtonGadget2);

    n = 0;
    XtSetArg(args[n], XmNhighlightOnEnter, TRUE);  n++;
    XtSetArg(args[n], XmNhighlightThickness, 1);  n++;
    PushButtonGadget3 = XmCreatePushButtonGadget(BulletinBoard1,
                                                 "PushButtonGadget3", args, n);
    XtManageChild(PushButtonGadget3);

    CommonPause();

    XtDestroyWidget(BulletinBoard1);
    CommonPause();

    XtAppMainLoop(app_context);
}










