/* $XConsortium: Notebook6.h /main/5 1995/07/15 21:07:53 drk $ */

/*
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */
/*
 * HISTORY
 */


/* This is the header file for the test PNotebook1.c */



/* Mechanism used to get the creation function associated with a widget. */

typedef struct { 
	         char *name;
		 Widget (*CreateFunction) (Widget, char *, ArgList, Cardinal);
	       } WidgetItem;





WidgetItem WidgetStruct[] =  {
                   "XmArrowButton", XmCreateArrowButton,   
                   "XmArrowButtonGadget", XmCreateArrowButtonGadget, 
		   "XmBulletinBoard", XmCreateBulletinBoard,
		   "XmDrawnButton", XmCreateDrawnButton,   
		   "XmDrawingArea", XmCreateDrawingArea,
                   "XmFileSelectionBox",XmCreateFileSelectionBox,
                   "XmForm", XmCreateForm,
		   "XmFrame", XmCreateFrame,
		   "XmLabel", XmCreateLabel,  
		   "XmLabelGadget", XmCreateLabelGadget,   
                   "XmList", XmCreateList  ,
		   "XmMainWindow", XmCreateMainWindow,
                   "XmMessageBox", XmCreateMessageBox,   
		   "XmPanedWindow",XmCreatePanedWindow,
                   "XmPushButton",   XmCreatePushButton,
		   "XmPushButtonGadget", XmCreatePushButtonGadget,  
		   "XmRowColumn", XmCreateRowColumn,
		   "XmScale", XmCreateScale,
                   "XmScrollBar", XmCreateScrollBar,  
		   "XmScrolledText", XmCreateScrolledText,
                   "XmSelectionBox", XmCreateSelectionBox,  
		   "XmSeparator", XmCreateSeparator,                     
                   "XmSeparatorGadget",XmCreateSeparatorGadget, 
		   "XmText", XmCreateText,
                   "XmTextField", XmCreateTextField,   
		   "XmToggleButton", XmCreateToggleButton,   
                   "XmToggleButtonGadget", XmCreateToggleButtonGadget,  
		   "XmScrolledWindow", XmCreateScrolledWindow
		   };

